WhatsApp icon

Update: How To Set Up WhatsApp Web On iPad And Mac
WhatsApp iconWhatsApp on iPad without jailbreak was working on iOS 7 and iOS 8 up to version 2.11.8. But now, WhatsApp 2.11.8 apparently expired, meaning the app certificate is not valid anymore. Hence, you cannot install WhatsApp 2.11.8 on your iPad or your iPod touch. Furthermore, WhatsApp versions higher than 2.11.8 have never worked on iOS 8. The reason for this is seemingly a checkup folder created while installing WhatsApp on the iPhone which cannot be copied onto the iPad due to root limitations of a non-jailbreaked iPad.

WhatsApp 2.11.8 too old version

WhatsApp 2.11.8 too old version

WhatsApp 2.11.8 is expired, the message shown is “Sorry, your version of the app is too old. Please, download the latest version from the App Store.” (Kudos to !)

The folder, which cannot be copied, is named “StoreKit” and contains a file called “receipt”. This file can be opened via a text editor and is appears that it is a kind of certificate file:

  • “….Reliance on this certificate by any party assumes acceptance of the then applicable standard terms and conditions of use, certificate policy and certification practice statements…”
  • “…Apple Worldwide Developer Relations Certification Authority…”

Apparently, coming with the WhatsApp 2.11.9 and higher version the folder “StoreKit” is essential, without having it WhatsApp on iPad without jailbreak on iOS 8 and iOS 7 will not work.

Disappointingly, WhatsApp on iPad without jailbreak does not work anymore, neither on iOS 7 nor on iOS 8. The WhatsApp developer changed something in the code to prevent WhatsApp installing on an iPad or iPod touch. Since version 2.11.9 it is stated in the App Sore description: “NOTE: WhatsApp is a telephony application and as such iPod or iPad are NOT supported devices.

Stay tuned! 😉

About 

Hi there,

my name is Gee Are, blogger and analyst. Blogging is my Passion! I’m the founder and owner of the two blogs called pabst.socialmedia and miapple.me - Tech.Blog.

My work experience as a blogger and analysist (Internet Intelligence, SEO and social media) is the basis of the services of pabst.socialmedia.

Find more about me.

25 replies
  1. Mpho
    Mpho says:

    M using IOS 8.1.2 & trying to download whatsapp version but whatsapp version 2.11.14 is not compatible to the device pls advice

    Reply
    • Gee Are Pabst
      Gee Are Pabst says:

      Hi Mpho,

      as written in this post, there is nothing we can do at the moment: Version 2.11.14 does not work on iOS 8. If I get better news, I will post it. Keep on following miApple.me for the latest news.

      Cheers,
      Gee Are

      Reply
    • Gee Are Pabst
      Gee Are Pabst says:

      Hi Ivo,

      it should work, if the certificate of WhatsApp is still valid. However, I know that WhatsApp 2.11.8 isn’t valid anymore and therefore I think 2.11.7 isn’t valid anymore, too. Just check it out and let us know! 😉

      Cheers,
      Gee Are

      Reply
      • ggm
        ggm says:

        Hi, I have a mini ipad with ios 8.1.2, and whatsapp 2.11.7 and it was working until a couple of days ago. I tried to reinstall the app, and when it connects, it says the verification process has to be done again, and when I click in the “verify” button, it again says: “this device is not supported”…

        So, let’s keep our fingers crossed to see if there’s any workaround.

        Reply
        • Joe
          Joe says:

          same here: iPad Air with ios 7.1.2 and whatsapp 2.11.7 stopped working few days ago showing the death message “device not supported”.

          The “whatsapp is a telephony app and as such ipad is not supported” thing is simply ridiculous since Line\wechat\qq\facebook messenger\skype all work/have a dedicated app for iPad.

          Reply
      • Sarthak Pattnaik
        Sarthak Pattnaik says:

        Hi Gee Are, i came across this vid which claims cydia without jb. Unfortunately i cant confirm if it works as there is no download link for india. But everyone in the comments section says it works. I did try the ipad link thats in the vid but it dosnt open cydia after i restart my device. I asked them if its only for the US but havent got any reply. Would be kind enough to check this ..

        …youtube.com/watch?v=6VhFrHN8rY0 (edited by admin)

        Reply
        • Gee Are Pabst
          Gee Are Pabst says:

          Hi Sarthak,

          maybe you can download Cydia, but it will not work without jailbreak. This videos and tutorials are just tricks to get the number game apps download increased… Hence, I deleted the YouTube link in your comment.

          Cheers,
          Gee Are

          Reply
  2. Mohammed
    Mohammed says:

    I cannot understand why whatsapp is not allowed on iPad. Many people need to use it there is they have difficulty seeing the textand typing on the iphones. This is simply a limitation that does not make sense at all.

    Reply
  3. Andy
    Andy says:

    Interesting article. I’ve been running Whatsapp on my iPod touch iOS 6.1.6 for about 10 months no problem. Then about 3 weeks ago I suddenly get the error message that my device is not supported. I’ve tried to install again using the iPhone method and still it doesn’t work which is really annoying. Is this something Facebook have done since they took over Whatsapp?

    If anyone works out how to get it back on a iPod or iPad I would love to hear.

    Reply
  4. Skip
    Skip says:

    Can people post what Ipad IOS and Whatsapp versions are or are not working? Or is there no combination that works? Does jailbreaking allow you to get Whatsapp anymore? I had OS7.0.4 on my unjailbroken Ipad Mini and Whatsapp 2.11.7 working well for the last year but it stopped working a week or so ago.

    Gee Are, is there anything I can do?

    Reply
    • Gee Are Pabst
      Gee Are Pabst says:

      Hi Skip,

      the WhatsApp certificate for 2.11.7 expired. I assume that, because of this, there is not a single combination left which is still working. Right now, there’s nothing we can do. It’s a pity!

      Cheers,
      Gee Are

      Reply
      • xkoeckiiej
        xkoeckiiej says:

        Ik using whatsapp 2.11.11 with whatspad on iOS 8.1.2.
        Every single update cancels out the use of it with the not supported message.
        But when i set back the date to january 1st 2015 whatsapp 2.11.11 keeps on working.
        For me its kind of too much trouble to keep on switching dates around so i was wondering whether you got a better solution.

        Thanks in advance for reading and or replying

        Reply

Trackbacks & Pingbacks

  1. […] December 10, 2014: WhatsApp On iPad Without Jailbreak Not Working Anymore Update: iOS 8: How To Install WhatsApp On iPad Without Jailbreak Update: How to install WhatsApp […]

  2. […] Update September 18, 2014: WhatsApp is completely working again on iOS 8 final version. Update September 19, 2014: WhatsApp version 2.11.11 is NOT working on iPads, but WhatsApp 2.11.8! Update September 24, 2014: WhatsApp version 2.11.12 is also NOT working on iPads, but WhatsApp 2.11.8! Update November 17, 2014: WhatsApp version 2.11.14 is also NOT working on iPads, but WhatsApp 2.11.8! Update: December 10, 2014: WhatsApp On iPad Without Jailbreak Not Working Anymore […]

Leave a Reply

Want to join the discussion?
Feel free to contribute!

Leave a Comment

This site uses Akismet to reduce spam. Learn how your comment data is processed.